/* 

LBMix - A mixer for Crystal Semiconductor IOCTL90 by Lesha Bogdanow
Copyright (C) 1999-2000  Lesha Bogdanow

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#define ID_MAIN		1
#define ID_POPUP	3

#define IDM_MSGBOX	2

#define IDS_TITLE	200
#define IDS_SWTITLE	201
#define IDS_USINGDRV	202
#define IDS_USINGPIPE	203
#define IDS_APILEVEL	204
#define IDS_LOCK	205
#define IDS_BOTH	206
#define IDS_MUTE	207
#define IDS_OFF		208
#define IDS_SP		209
#define IDS_CT		210
#define IDS_LF		211
#define IDS_HF		212
#define IDS_DAC		213
#define IDS_LINE	214
#define IDS_CD		215
#define IDS_MIC		216
#define IDS_PHONE	217
#define IDS_VIDEO	218
#define IDS_AUX		219
#define IDS_MONOIN	220
#define IDS_3D		221
#define IDS_TONE	222
#define IDS_ADC		223
#define IDS_INPUTSEL	224
#define IDS_MASTER	225
#define IDS_ACTIVECTLS	226
#define IDS_SELECTICON	227
#define IDS_OK		228
#define IDS_LAYOUT	229
#define IDS_OTHER	230
#define IDS_PAGE12	231
#define IDS_PAGE22	232


#define IDMSG_INITFAILED		     320
#define IDMSG_MAINWINCREATEFAILED	     321
#define IDMSG_APIINITFAILED		     322
#define IDMSG_ALREADYRUNNING		     323
#define IDMSG_SYNTAXERROR		     324
#define IDMSG_BADCTLNAME		     325
#define IDMSG_PIPECREAT			     326


#define IDC_MONOACT	1006
#define IDC_MONONAME	1007
#define IDC_PHONEACT	1016
#define IDC_PHONENAME	1017
#define IDC_PHONEMONO	1018
#define IDC_MICACT	1026
#define IDC_MICNAME	1027
#define IDC_MICMONO	1028
#define IDC_LINEACT	1036
#define IDC_LINENAME	1037
#define IDC_LINEMONO	1038
#define IDC_CDACT	1046
#define IDC_CDNAME	1047
#define IDC_CDMONO	1048
#define IDC_VIDEOACT	1056
#define IDC_VIDEONAME	1057
#define IDC_VIDEOMONO	1058
#define IDC_AUXACT	1066
#define IDC_AUXNAME	1067
#define IDC_AUXMONO	1068
#define IDC_ADCACT	1076
#define IDC_ADCNAME	1077
#define IDC_DACACT	1086
#define IDC_DACNAME	1087
#define IDC_DACMONO	1088
#define IDC_3DACT	1096
#define IDC_3DNAME	1097
#define IDC_SELACT	1106
#define IDC_SELNAME	1107
#define IDC_TONEACT	1116
#define IDC_TONENAME	1117
#define IDC_MASTACT	1118
#define IDC_MASTNAME	1119
#define IDC_MASTMONO	1120

#define IDC_SETTINGS	1900
#define IDC_ABOUT	1901
#define IDC_EXIT	1902
#define IDC_INFO	1903
#define IDC_MINIMIZE	1904
#define IDC_MOVE	1905

#define IDD_SETTINGS	2000
#define IDC_OK		2001
#define IDC_CANCEL	2002
#define IDC_RESTORE	2003
#define IDC_DEFAULTS	2004
#define IDC_AUTOMINI	2005
#define IDC_INSTNAME	2006
#define IDC_MAXCTLS	2007
#define IDC_NOTEBOOK	2008
#define IDD_CONTROLS1	2100
#define IDD_CONTROLS2	2101
#define IDD_OTHER	2200
#define IDC_SHOWMENU	2201
#define IDC_SHOWTITL	2202
#define IDC_ICONFILE    2203
#define IDC_ICONLOC     2204
#define IDD_LAYOUT	2300
#define IDC_LOCKNAME    2301
#define IDC_MUTENAME    2302
#define IDC_OFFNAME     2303
#define IDC_BOTHNAME    2304
#define IDC_HFNAME      2305
#define IDC_LFNAME      2306
#define IDC_SPNAME      2307
#define IDC_CTNAME      2308
#define IDC_NARROWSL    2309
#define IDC_SHORTSL	2310

#define IDD_ABOUT	3000
#define IDC_ABOUTAPP	3001

#define IDD_INFO	3100
#define IDC_INFOMLE	3101
#define IDC_INFODRV	3102

#define IDC_LOCK	0x1000
#define IDC_BOTH	0x1100
#define IDC_MUTE	0x1200
#define IDC_LEFT	0x1300
#define IDC_RIGHT	0x1400
#define IDC_LIST	0x1500
